
From: Mikael Pettersson <mikpe@csd.uu.se>

- <linux/perfctr.h>: Change value fields in register descriptors
  to 64 bits. This will be needed for ppc64, and ppc32 user-space
  on ppc64 kernels, and may eventually also be needed on x86.
  We could have different descriptor types for 32 and 64-bit
  registers, but that just complicates things for no real benefit.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/perfctr.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/linux/perfctr.h~perfctr-64-bit-values-in-register-descriptors include/linux/perfctr.h
--- 25/include/linux/perfctr.h~perfctr-64-bit-values-in-register-descriptors	2005-03-23 01:36:54.000000000 -0800
+++ 25-akpm/include/linux/perfctr.h	2005-03-23 01:36:54.000000000 -0800
@@ -27,10 +27,10 @@ struct vperfctr_control {
 #define VPERFCTR_CONTROL_RESUME		0x03
 #define VPERFCTR_CONTROL_CLEAR		0x04
 
-/* common description of an arch-specific 32-bit control register */
+/* common description of an arch-specific control register */
 struct perfctr_cpu_reg {
 	__u32 nr;
-	__u32 value;
+	__u64 value;
 };
 
 /* state and control domain numbers
_
